Bug 125553 - NIC shows up but no connectionto network
Summary: NIC shows up but no connectionto network
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-08 18:12 UTC by Holger Thiesemann
Modified: 2015-01-04 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:49:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg, dmidecode, dsdt, interrupts, dmesg, dmidecode, dsdt, interrupts, lspci, pc (33.83 KB, application/octet-stream)
2004-06-09 17:35 UTC, Holger Thiesemann
no flags Details

Description Holger Thiesemann 2004-06-08 18:12:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
machine boots, NIC is recognized and configured but in 9 out of 10
attempts I cannot saccess the network.

Error message (mesages): 
sandwich kernel: NETDEV WATCHDOG: eth0: transmit times out
sandwich kernel: eth0: Transmit timeout, status 00000000 00000240

kernel 2.6.5-1.358

NIC sis900 onboard

booting with pci=acpioff, pci=usepirqmask, or noacpi doesn't cure the
problem.

Can provide error and ok of: dmesg, dmidecode, dsdt, interrupts,
lspci, pci on request


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
just booting
    

Additional info:

Comment 1 Holger Thiesemann 2004-06-09 17:35:08 UTC
Created attachment 101001 [details]
dmesg, dmidecode, dsdt, interrupts,
dmesg, dmidecode, dsdt, interrupts, lspci, pc

Comment 2 Holger Thiesemann 2004-06-10 17:49:44 UTC
I just disassembled the dsdt. Both versions are identical...

Comment 3 Holger Thiesemann 2004-06-13 08:03:22 UTC
Problem remains with new kernel (2.6.6-1.427)

Comment 4 Holger Thiesemann 2004-06-16 14:32:27 UTC
Kernel update to 2.6.6-1.435 didn't fix the problem. BTW: is anyone
reading this stuff??

Comment 5 Dave Jones 2004-06-16 16:27:06 UTC
> booting with pci=acpioff, pci=usepirqmask, or noacpi doesn't cure the
problem.

You got those backwards, should be pci=noacpi  or acpi=off

Give those a try ?


Comment 6 Holger Thiesemann 2004-06-16 17:42:23 UTC
Been there, done that (as mentioned above) to no avail...

Comment 7 Dave Jones 2004-06-16 23:44:28 UTC
ah, this was mentioned this afternoon on Linux-kernel.
There's a fix for this in Andrew Morton's -mm tree, but the upstream
maintainer doesn't think its the right fix.

I'll look into this some more tomorrow.



Comment 8 Holger Thiesemann 2004-06-20 07:51:38 UTC
Hi Dave,

I upgraded the BIOS two days ago and guess what: it didn't help
either... Unfortunately, there's nothing implemented in this BIOS
which would allow for tinkering with ACPI settings (MSI MS 6701 board
in a Medion PC). 

My best workaround so far: whenever Linux fails to setup the NIC
properly I can restart the computer with another operating system
(developed somewhere in Redmond, WA, USA...). Rebooting again with
Linux gives usually full access to the NIC. Strange...

Comment 9 Holger Thiesemann 2004-06-28 17:52:38 UTC
Hi Dave,

do you have any (good) news?

Comment 10 Holger Thiesemann 2004-06-30 16:31:23 UTC
Is there any way of "freezing" the configuration once everything is
running? Right now, I do have LAN access, but there's no way to get
THE USB bluetooth dongle up and running...

Comment 11 Holger Thiesemann 2004-07-02 12:07:54 UTC
Upgraded yesterday to 2.6.6-1.435.2.1. Rebooted today: NIC does not
respond...

Comment 12 Holger Thiesemann 2004-07-03 09:54:51 UTC
Upgrade to 2.6.6-1.435.2.1 didn't help either. Anything I could try, test?

Comment 13 Holger Thiesemann 2004-07-05 15:30:18 UTC
Hey guys, is there really nothing that could be done in this case???

Comment 14 Holger Thiesemann 2004-07-07 15:23:39 UTC
Hello... Anybody working on this request?????

Comment 15 Dave Jones 2005-04-16 04:49:22 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.